Bug 23851 - No package 'cairo' found
Summary: No package 'cairo' found
Status: RESOLVED ANSWERED
Alias: None
Product: Class Libraries
Classification: Mono
Component: libgdiplus ()
Version: 3.8.0
Hardware: PC Linux
: --- normal
Target Milestone: Untriaged
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2014-10-15 11:54 UTC by Amit Goel
Modified: 2017-11-23 17:32 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED ANSWERED

Description Amit Goel 2014-10-15 11:54:19 UTC
after downloading libgdiplus release gunzip, when i run ./configure, I get following error:

checking for BASE_DEPENDENCIES... yes
checking for CAIRO... no
configure: error: Package requirements (cairo >= 1.6.4) were not met:

No package 'cairo' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables CAIRO_CFLAGS
and CAIRO_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

Please advise.

Thanks and Regards

-- amit
Comment 1 Alexander Köplinger [MSFT] 2017-11-23 17:32:35 UTC
You need to install the cairo library:

On OSX: "brew install cairo"
On Linux/Debian: "sudo apt-get install libcairo2-dev"